GDB (xrefs)

Classes | Functions | Variables
cli-decode.h File Reference
`#include "command.h"`
`#include "gdb_regex.h"`

Go to the source code of this file.

## Classes
struct | cmd_list_element

## Functions
void | help_cmd_list (struct cmd_list_element *, enum command_class, const char *, int, struct ui_file *)
void | help_cmd (const char *, struct ui_file *)
void | apropos_cmd (struct ui_file *, struct cmd_list_element *, compiled_regex &, const char *)
void | not_just_help_class_command (const char *arg, int from_tty)
void | print_doc_line (struct ui_file *, const char *)
int | cli_user_command_p (struct cmd_list_element *)
int | find_command_name_length (const char *)

## Variables
const char *const | auto_boolean_enums []

## Function Documentation

## ◆ apropos_cmd()

void apropos_cmd | ( | struct ui_file * | ,
|  | struct cmd_list_element * | ,
|  | compiled_regex & | ,
|  | const char * |
| ) |  |

Definition at line 938 of file cli-decode.c.

References cmd_list_element::abbrev_flag, apropos_cmd(), cmd_list_element::doc, cmd_list_element::name, cmd_list_element::next, cmd_list_element::prefix, cmd_list_element::prefixlist, cmd_list_element::prefixname, print_help_for_command(), and compiled_regex::search().

Referenced by apropos_cmd(), and apropos_command().

## ◆ cli_user_command_p()

int cli_user_command_p | ( | struct cmd_list_element * |  | ) |

Definition at line 1893 of file cli-decode.c.

References class_user, do_const_cfunc(), do_sfunc(), cmd_list_element::func, and cmd_list_element::theclass.

Referenced by show_user().

## ◆ find_command_name_length()

int find_command_name_length | ( | const char * |  | ) |

Definition at line 1294 of file cli-decode.c.

Referenced by line_first_arg(), lookup_cmd(), lookup_cmd_1(), and lookup_cmd_composition().

## ◆ help_cmd()

void help_cmd | ( | const char * | ,
|  | struct ui_file * |
| ) |  |

Definition at line 996 of file cli-decode.c.

References all_classes, all_commands, cmdlist, cmd_list_element::doc, fprintf_filtered(), fputs_filtered(), cmd_list_element::func, help_all(), help_list(), cmd_list_element::hook_post, cmd_list_element::hook_pre, lookup_cmd(), cmd_list_element::name, cmd_list_element::prefixlist, cmd_list_element::prefixname, and cmd_list_element::theclass.

Referenced by help_command().

## ◆ help_cmd_list()

void help_cmd_list | ( | struct cmd_list_element * | ,
|  | enum | command_class,
|  | const char * | ,
|  | int | ,
|  | struct ui_file * |
| ) |  |

Definition at line 1238 of file cli-decode.c.

References cmd_list_element::abbrev_flag, all_classes, all_commands, class_user, cmd_list_element::cmd_deprecated, cmd_list_element::func, help_cmd_list(), cmd_list_element::next, cmd_list_element::prefix, cmd_list_element::prefixlist, cmd_list_element::prefixname, print_help_for_command(), and cmd_list_element::theclass.

Referenced by help_all(), help_cmd_list(), help_list(), and print_help_for_command().

## ◆ not_just_help_class_command()

void not_just_help_class_command | ( | const char * | arg,
|  | int | from_tty
| ) |  |

Definition at line 412 of file cli-decode.c.

## ◆ print_doc_line()

void print_doc_line | ( | struct ui_file * | ,
|  | const char * |
| ) |  |

Definition at line 1170 of file cli-decode.c.

References fputs_filtered(), xfree(), and xmalloc().

Referenced by deprecated_show_value_hack(), and print_help_for_command().

## Variable Documentation

## ◆ auto_boolean_enums

const char* const auto_boolean_enums[]

Definition at line 537 of file cli-decode.c.

Referenced by add_setshow_auto_boolean_cmd(), and do_set_command().